天道酬勤,学无止境

importerror

Import Error: can't import name gcd from fractions

I'm trying to import a function called gcd from a module called fractions with from fractions import gcd. For some reason, PyCharm throws an ImportError: from fractions import gcd ImportError: cannot import name 'gcd' from 'fractions' I had this working before, what am I doing wrong?

2022-06-04 04:10:03    分类:问答    python-3.x   importerror

Cannot import keras.initializers

问题 我已将所有必要的模块从 keras 导入到 jupyter notebook from keras.preprocessing.text import Tokenizer from keras.preprocessing.sequence import pad_sequences from keras.models import Sequential from keras.layers import Embedding, Dense, Dropout, Reshape, Merge, BatchNormalization, TimeDistributed, Lambda, Activation, LSTM, Flatten, Convolution1D, GRU, MaxPooling1D from keras.regularizers import l2 from keras.callbacks import Callback, ModelCheckpoint, EarlyStopping from keras import initializers from keras import backend as K from keras.optimizers import SGD 但收到错误消息 ImportErrorTraceback (most recent call

2022-05-16 18:10:04    分类:技术分享    keras   python-import   importerror   keras-layer

ImportError: cannot import name 'Element'

问题 导入时发生错误。 >>> import uno Traceback (most recent call last): File "<pyshell#7>", line 1, in <module> import uno File "C:\Users\viktor.zaichenko\AppData\Local\Programs\Python\Python35- 32\lib\site-packages\uno\__init__.py", line 4, in <module> from base import Element, Css, Payload, UnoBaseFeature, UnoBaseField ImportError: cannot import name 'Element' >>> 这个项目有哪些模块? 安装基础和 python-base 没有帮助。 回答1

2022-05-14 15:02:05    分类:技术分享    python   importerror   base   uno

Error importing pymssql

问题 我正在尝试导入 pymssql 并收到此错误(我认为我已正确安装它): Traceback (most recent call last): File "sql.py", line 1, in <module> import pymssql ImportError: dlopen(/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pymssql.so, 2): Symbol not found: _dbversion Referenced from: /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pymssql.so Expected in: dynamic lookup 我该如何解决这个问题? 回答1 导入时未找到该符号,可能是由于运行 setup.py 时编译时出现链接问题。 我遇到了这个特殊问题,因为我在我的 OS X 机器上运行 32 位 Python 2.7.12。 执行以下操作为我解决了这个问题: 确保我安装了正确版本的 FreeTDS。 在 pymssql 2.20 发布之前,pymssql 与 FreeTDS 1.0 不兼容。 您可以使用brew

2022-05-13 05:38:04    分类:技术分享    python   python-2.7   importerror   pymssql

ImportError: cannot import name memoize

问题 我在将项目从 Django 1.7.1 升级到 1.9.0 时遇到了一点问题。 每个“RemovedInDjango20Warning”都已修复,但还剩下一件事,我不知道如何处理。 当我试图访问任何页面时,总是有一个 ImportError 像: **TemplateSyntaxError at /auth/** 'crispy_forms_tags' is not a valid tag library: ImportError raised loading crispy_forms.templatetags.crispy_forms_tags: cannot import name memoize*** 我在我的模板站点中包含了{% load crispy_forms_tags %} ,并在settings.py的INSTALLED_APPS中添加了“crispy_forms” 在更新正常之前,我试图找到任何解决方案,但没有成功。 我究竟做错了什么? 回答1 如前所述,此错误的原因是 Django 在某个时候删除了 memoize,因此您尝试使用的 Krispy-forms 版本不适用于 Django 版本。 解决方案包括尝试不同版本的 Django,或尝试不同版本的crispy-forms。 如果您使用的是未发布版本的 Django,那么可能还没有支持它的 cripsy

2022-05-11 05:00:17    分类:技术分享    python   django   importerror

Problem trying to install PyCurl on Mac Snow Leopard

问题 我的应用需要使用 PyCurl,所以我尝试在我的 Mac 上安装它,但我发现了很多问题和错误。 要求:首先我不得不说,在我的 Mac 上运行的 Python 版本是基于 32 位的,因为我需要使用 WxPython,这需要 32 位 Python。 为此,我使用了: defaults write com.apple.versioner.python Prefer-32-Bit -bool yes 要安装 PyCurl,我使用了: sudo env ARCHFLAGS="-arch x86_64" easy_install setuptools pycurl 终端返回: Best match: setuptools 0.6c11 Processing setuptools-0.6c11-py2.6.egg setuptools 0.6c11 is already the active version in easy-install.pth Installing easy_install script to /usr/local/bin Installing easy_install-2.6 script to /usr/local/bin Using /Library/Python/2.6/site-packages/setuptools-0.6c11-py2.6.egg

2022-05-09 23:16:05    分类:技术分享    python   macos   osx-snow-leopard   pycurl   importerror

Livewires + Pygame Error

问题 所以我正在运行安装了 python 3.3 的 Windows 8。 我安装了 livewires 和 pygame。 但是当我运行代码时: from livewires import games games.init(screen_width = 640, screen_height = 480, fps = 50) games.screen.mainloop() 我收到一条错误消息... ImportError: No module name 'pygame.image'。 有谁知道如何解决这一问题? 回答1 回答2 如果您阅读发行版模块目录中的 README.md 文件,您会看到它是在 2013 年 9 月 25 日提交的,并且特别指出: 您将需要 Python 才能使用该包。 Python 可以从:http://www.python.org/download/ 获得。 如果您是第一次安装,我们建议您使用 Python 2.2.3 我认为 livewires 很可能不适用于 Python 3。

2022-05-07 07:41:00    分类:技术分享    python   pygame   importerror   livewires

module importing itself

问题 我正在尝试从特定于应用程序的终端(在本例中为 Maya,但最终为其他终端)导入模块。 我已经从 git 下载了一个项目,我的结构如下: modulename submodule __init.py__ subsubmodule ... submodule ... __init.py__ modulename.py 然后在我的执行外壳中,我试图导入要在外壳上使用的模块,所以我有: import sys,os modulepath = 'C:/path/to/module' sys.path.append(modulepath) import modulename 如果导入的 modulename.py 为空白,则一切正常。 然而,模块的前两行是试图导入自身的模块(我真的不知道为什么,因为这是别人的项目,但它似乎对结构很重要) import sys,os import modulename from modulename as mod 这会得到错误: # Error: ImportError: cannot import name modulename# 其他任何事情都无法进行。 最终我想知道为什么一个模块不能自己导入,和/或如何解决这个问题? 我读过一个模块认为自己被命名为main ,因此相对导入不起作用,在这种情况下,我希望 import __main__ as mod

2022-05-07 01:02:08    分类:技术分享    python   module   importerror   self-reference

Python ImportError for strptime in spyder for windows 7

问题 我一生都无法弄清楚是什么导致了这个非常奇怪的错误。 我在 Windows 7 的 spyder IDE 中的 python 2.7 中运行脚本。它在某一时刻使用 datetime.datetime.strptime。 我可以运行一次代码,它看起来很好(虽然我还没有完成调试,所以已经引发了异常并且它还没有正常完成),然后如果我再次尝试运行它,我会得到以下信息(仅限回溯结束显示): 文件“C:\path\to\test.py”,第 220 行,在 std_imp 中 self.data[key].append(dt.datetime.strptime(string_var, string_format_var)) ImportError: 导入_strptime 失败,因为导入锁被另一个线程持有。 我没有使用线程等运行多个线程。让代码通过这一点的唯一方法是完全重新启动计算机。 重新启动 spyder 将不起作用。 网络搜索似乎没有提供任何其他人发生过这种情况的线索或迹象。 有谁明白发生了什么? 这是某种 GIL 问题吗? 什么是导入锁,为什么一旦我已经尝试运行一次代码,它似乎会阻止我导入 datetime 模块的这种方法? 回答1 正如 mfitzp 所指出的,解决方案是在脚本的开头包含对 datetime.datetime.strptime 的虚拟调用。 例如 # This

2022-05-05 15:40:09    分类:技术分享    python   datetime   importerror   strptime   spyder

ImportError: cannot import name 'Element'

When importing an error occurs. >>> import uno Traceback (most recent call last): File "<pyshell#7>", line 1, in <module> import uno File "C:\Users\viktor.zaichenko\AppData\Local\Programs\Python\Python35- 32\lib\site-packages\uno\__init__.py", line 4, in <module> from base import Element, Css, Payload, UnoBaseFeature, UnoBaseField ImportError: cannot import name 'Element' >>> Which modules this item? Installation base and python-base is not helps.

2022-05-03 04:00:57    分类:问答    python   importerror   base   uno